Bug 742752 - doesemu does not run
doesemu does not run
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 12.1
Classification: openSUSE
Component: Other
Final
x86-64 SUSE Other
: P5 - None : Normal (vote)
: ---
Assigned To: Steffen Winterfeldt
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-21 16:30 UTC by Roland Hughes
Modified: 2012-04-02 11:08 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
force-vm86-emu.patch (1.33 KB, patch)
2012-03-10 17:42 UTC, Marcus Meissner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Hughes 2012-01-21 16:30:50 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:9.0.1) Gecko/20100101 Firefox/9.0.1

roland@linux-853v:~> dosemu
LOWRAM mmap: Invalid argument
Segmentation fault
roland@linux-853v:~> 


Reproducible: Always

Steps to Reproduce:
1. install dosemu from repository
2. attempt to run from command line
3.
Actual Results:  
roland@linux-853v:~> dosemu
LOWRAM mmap: Invalid argument
Segmentation fault
roland@linux-853v:~> 


Expected Results:  
does environment should start
Comment 1 Marcus Meissner 2012-01-21 17:03:01 UTC
better use dosbox   ...

workaround, as root:

echo 0 >/proc/sys/vm/mmap_min_addr

and then try dosemu again. (disables a kernel se4curity feature)
Comment 2 Kun Kun Zhang 2012-03-09 08:05:00 UTC
Long time no response.So closed.Feel free to reopen it.Thanks.
Comment 3 Roland Hughes 2012-03-09 15:26:05 UTC
No response because nobody worked on it.
Comment 4 Marcus Meissner 2012-03-10 17:40:55 UTC
I gave you a hint on how to make it work.

run as root:
echo 0 >/proc/sys/vm/mmap_min_addr

and/or add the line:

vm.mmap_min_addr = 0
to the file /etc/sysctl.conf to make it persist over reboots.

(The value is set to non-0 to disable the NULL ptr kenrel exploits which have been rampant.)



Ubuntu forces it to full emulator mode, with attached patch.

force-vm86-emu.patch

Steffen, you as maintainer ... should we also add this?
Comment 5 Marcus Meissner 2012-03-10 17:42:55 UTC
Created attachment 480814 [details]
force-vm86-emu.patch

from ubuntu
Comment 6 Marcus Meissner 2012-03-10 21:44:41 UTC
sr 108752 against Emulators/dosemu
Comment 7 Marcus Meissner 2012-03-10 21:51:16 UTC
hmm, the config change did not work on 11.3 x86_64 ... hmm
Comment 8 Roland Hughes 2012-03-10 21:53:41 UTC
(In reply to comment #6)
> sr 108752 against Emulators/dosemu

What does that mean for those of us who do not speak distant system bug report code?
Comment 9 Marcus Meissner 2012-03-11 22:22:38 UTC
submitrequest id was only meant for steffen. 

i have to check why it still doesnt work. perhaps updating to current dosemu SVN might help :/

again, workaround solutions are:
- use dosbox instead of dosemu
- set the mmap_min_addr on your system manually to 0 as described above.
Comment 10 Steffen Winterfeldt 2012-03-12 07:14:48 UTC
see also bug 551799
Comment 11 Marcus Meissner 2012-03-14 15:56:42 UTC
maintenance ... should we pus hthe current state as update for 11.4 and 12.1
to make dosemu work  by default?
Comment 12 Benjamin Brunner 2012-03-21 13:11:50 UTC
Marcus could you do a maintenance request for 11.4 and 12.1 please.
Comment 13 Benjamin Brunner 2012-04-02 10:51:58 UTC
Update released for 11.4 and 12.1
Comment 14 Swamp Workflow Management 2012-04-02 11:08:28 UTC
openSUSE-RU-2012:0445-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 742752
CVE References: 
Sources used:
openSUSE 12.1 (src):    dosemu-1.4.0.1.r2065-75.7.2
openSUSE 11.4 (src):    dosemu-1.4.0.1.r2065-77.2